Subject: Re: [dispatch] DISPATCH IETF 111 meeting - preliminary outcomes and draft minutes

From: John Mattsson <[email-masked]>
Date: Wed, 28 Jul 2021 14:06:23 +0000

Cullen Jennings <[email-masked]> wrote:

> when some of the people are arguing that SDES is worse than unencrypted traffic.

I don't think stating that SDES gives a false sense of security is strange at all. To quote what US government recently stated about TLS 1.0 and 1.1: "Using obsolete encryption provides a false sense of security because it may look as though sensitive data is protected, even though it really is not." I would say that RFC 4568 is on the same level or worse.

> A real good starting point to the conversation would be agreeing about the fundamental differences
> - in my mind the largest difference is that in DTLS-SRTP, the attacker has to be able to modify
> the SDP to MITM the media while in SDES the attacker only needs to see the SDP to MITM the media.

If we can agree on the goal of starting work on enabling long-term deprecation of SDES, I don't see that much use in detailing the security weaknesses of SDES for different deployments. The curent draft and the presentation contains a litterature study, I would suggest removing most of that instead of spending too much time expanding it.

> I am in favor of discussing and solving the problems we need to sort out to have a viable replacement.

I agree. Roman suggested to create a new WG for discussions and to develop alternatives. I think that is a good way forward. A WG would be a good place for discussions. Based on yours and Bernards comments, I agree that RFC 4568 can likely not be depracated right now.